<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="/">
		<html>
			<head>
				<title>Shadowgate: <xsl:value-of select="/character/name/text()"/></title>
			</head>
			<body>
				__NOTOC__<br/>
				__NOEDITSECTION__<br/>
				
				<!-- ID -->
				== <xsl:value-of select="/character/name/text()"/> ==<br/>
				<xsl:value-of select="/character/campaign/text()"/>&#160; campaign.<br/><br/>
				&lt;strong&gt;Supernatural Type: &lt;/strong&gt;<xsl:value-of select="/character/datablock[@name='ID']/data[@name='Supernatural Type']/text()"/><br/><br/>
				
				<!-- Description -->
				=== Description ===<br/>
				<xsl:value-of select="/character/datablock[@name='ID']/data[@name='Description']/text()"/><br/>

				<!-- Stress -->
				=== Stress ===<br/>
				<xsl:value-of select="translate ( /character/datablock[@name='Stress']/data[@name='Stress boxes']/text() , 'ox', '❒☒')"/><br/><br/>
				'''<xsl:value-of select="/character/datablock[@name='Stress']/data[@name='Consequences']/text()"/>'''<br/><br/>
				<xsl:value-of select="/character/datablock[@name='Stress']/data[@name='Cons Descriptions']/text()"/><br/><br/>
				<!-- Aspects -->
				<xsl:for-each select="/character/datablock[@name='Aspects']/data">
					<xsl:if test="text() != ''">
						<xsl:if test="position() = '1'">
							=== Aspects ===<br/>
						</xsl:if>
						'''''<xsl:value-of select="text()"/>'''''<br/><br/>
					</xsl:if>
				</xsl:for-each>
				<!-- Skills -->
				=== Skills ===<br/>
				<xsl:for-each select="/character/datablock[@name='Skills']/data">
					<xsl:if test="text() != ''">
						<xsl:value-of select="text()"/><br/><br/>
					</xsl:if>
				</xsl:for-each>
				
				<!-- Stunts -->
				<xsl:for-each select="/character/datablock[@name='Stunts']/data">
					<!-- Stunts can be renamed by the user. -->
					<xsl:choose>
						<xsl:when test="@renamed != ''">
							<xsl:choose>
								<xsl:when test="text() != ''">
									<!-- Output a title row on the first time through, only. -->
									<xsl:if test="position() = '1'">
										=== Stunts ===<br/>
									</xsl:if>
									;<xsl:value-of select="@renamed"/><br/>
									:<xsl:value-of select="text()"/><br/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="@renamed != 'Stunt'">
										<!-- Output a title row on the first time through, only. -->
										<xsl:if test="position() = '1'">
											=== Stunts ===<br/>
										</xsl:if>
										:<xsl:value-of select="@renamed"/><br/>
										;<xsl:value-of select="text()"/><br/>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="text() != ''">
								<!-- Output a title row on the first time through, only. -->
								<xsl:if test="position() = '1'">
										=== Stunts ===<br/>
								</xsl:if>
								<xsl:value-of select="text()"/><br/><br/>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
							
				<!-- Extras -->
				<xsl:for-each select="/character/datablock[@name='Extras']/data">
					<!-- Extras can be renamed by the user. -->
					<xsl:choose>
						<xsl:when test="@renamed != ''">
							<xsl:choose>
								<xsl:when test="text() != ''">
									<!-- Output a title row on the first time through, only. -->
									<xsl:if test="position() = '1'">
										=== Extras ===<br/>
									</xsl:if>
									'''<xsl:value-of select="@renamed"/>. '''
									<xsl:value-of select="text()"/><br/><br/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="@renamed !='Extra'">
										<!-- Output a title row on the first time through, only. -->
										<xsl:if test="position() = '1'">
											=== Extras ===<br/>
										</xsl:if>
										'''<xsl:value-of select="@renamed"/>. '''
										<xsl:value-of select="text()"/><br/><br/>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="text() !=''">
								<!-- Output a title row on the first time through, only. -->
								<xsl:if test="position() = '1'">
									=== Extras ===<br/>
								</xsl:if>
									'''<xsl:value-of select="@renamed"/>. '''
									<xsl:value-of select="text()"/><br/><br/>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				
				<!-- Include Journals, if available. -->
				<p/>
				<xsl:for-each select="//article">
					<p>
						<article>
							<xsl:attribute name="title">
								<xsl:value-of select="@title"/>
							</xsl:attribute>
							<span style="font-size:1em;font-weight:bold;color:#339900;">
								=== <xsl:value-of select="@title"/> ===
							</span>
							<br/>
							<xsl:for-each select="span">
								<span>
									<xsl:attribute name="style">
										<xsl:value-of select="@style"/>
									</xsl:attribute>
									<xsl:value-of select="text()"/>
									<xsl:if test="br">
										<br/>
									</xsl:if>
								</span>
							</xsl:for-each>
						</article>
					</p>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
