<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="/">
		<html>
			<head>
				<title>Shadowgate: <xsl:value-of select="/character/name/text()"/></title>
			</head>
			<body>
				<!-- ID -->
				<xsl:value-of select="/character/name/text()"/><br/>
				<xsl:value-of select="/character/campaign/text()"/>&#160; campaign.<br/>
				&lt;strong&gt;Supernatural Type:&lt;/strong&gt;<xsl:value-of select="/character/datablock[@name='ID']/data[@name='Supernatural Type']/text()"/><br/>
				<xsl:value-of select="/character/datablock[@name='ID']/data[@name='Description']/text()"/><br/><br/>
				&lt;strong&gt;Refresh: &lt;/strong&gt; 
				<xsl:value-of select="/character/datablock[@name='ID']/data[@name='Refresh']/text()"/>
				(<xsl:value-of select="/character/datablock[@name='ID']/data[@name='Current Fate Points']/text()"/>)<br/>
				<br/>
				
				<!-- Stress -->
				&lt;span style="text-decoration: underline;"&gt;Stress&lt;/span&gt;<br/>
				Physical Stress: 
				<xsl:value-of select="translate ( /character/datablock[@name='Stress']/data[@name='Physical Stress']/text() , 'ox', '❒☒')"/><br/>
				Mental Stress:
				<xsl:value-of select="translate ( /character/datablock[@name='Stress']/data[@name='Mental Stress']/text() , 'ox', '❒☒')"/><br/>
				<br/>		
				&lt;strong&gt;<xsl:value-of select="/character/datablock[@name='Stress']/data[@name='Consequences']/text()"/>&lt;/strong&gt;<br/>
				<xsl:value-of select="/character/datablock[@name='Stress']/data[@name='Cons Descriptions']/text()"/><br/>
				
				<!-- Aspects -->
				<xsl:for-each select="/character/datablock[@name='Aspects']/data">
					<xsl:if test="text() != ''">
						<xsl:if test="position() = '1'">
							&lt;h2&gt;Aspects&lt;/h2&gt;<br/>
						</xsl:if>
						<xsl:if test="@name = 'Monstrous Concept'">
							Monstrous Concept: 
						</xsl:if>
						<xsl:if test="@name = 'Origin Story'">
							Origin Story:
						</xsl:if>
							&lt;strong&gt;&lt;em&gt;<xsl:value-of select="text()"/>&lt;/em&gt;&lt;/strong&gt;<br/>
					</xsl:if>
				</xsl:for-each>
				
				<!-- Skills -->
				&lt;h2&gt;Skills&lt;/h2&gt;<br/>
				<xsl:if test="/character/datablock[@name='Skills']/data[@name='Legendary (+8)']/text() != ''">
					+8:&#160;<xsl:value-of select="/character/datablock[@name='Skills']/data[@name='Legendary (+8)']/text()"/><br/>
				</xsl:if>
				<xsl:if test="/character/datablock[@name='Skills']/data[@name='Epic (+7)']/text() != ''">
					+7:&#160;<xsl:value-of select="/character/datablock[@name='Skills']/data[@name='Epic (+7)']/text()"/><br/>
				</xsl:if>
				<xsl:if test="/character/datablock[@name='Skills']/data[@name='Fantastic (+6)']/text() != ''">
					+6:&#160;<xsl:value-of select="/character/datablock[@name='Skills']/data[@name='Fantastic (+6)']/text()"/><br/>
				</xsl:if>
				<xsl:if test="/character/datablock[@name='Skills']/data[@name='Superb (+5)']/text() != ''">
					+5:&#160;<xsl:value-of select="/character/datablock[@name='Skills']/data[@name='Superb (+5)']/text()"/><br/>
				</xsl:if>
				<xsl:if test="/character/datablock[@name='Skills']/data[@name='Great (+4)']/text() != ''">
					+4:&#160;<xsl:value-of select="/character/datablock[@name='Skills']/data[@name='Great (+4)']/text()"/><br/>
				</xsl:if>
				<xsl:if test="/character/datablock[@name='Skills']/data[@name='Good (+3)']/text() != ''">
					+3:&#160;<xsl:value-of select="/character/datablock[@name='Skills']/data[@name='Good (+3)']/text()"/><br/>
				</xsl:if>
				<xsl:if test="/character/datablock[@name='Skills']/data[@name='Fair (+2)']/text() != ''">
					+2:&#160;<xsl:value-of select="/character/datablock[@name='Skills']/data[@name='Fair (+2)']/text()"/><br/>
				</xsl:if>
				<xsl:if test="/character/datablock[@name='Skills']/data[@name='Average (+1)']/text() != ''">
					+1:&#160;<xsl:value-of select="/character/datablock[@name='Skills']/data[@name='Average (+1)']/text()"/><br/>
				</xsl:if>
							
				<!-- Descent -->
				<!-- Only show this if Descent rules are in use -->
				<xsl:if test="/character/datablock[@name='Descent']/data[@name='Use Descent Rules']/text() = 'yes'">
					&lt;h2&gt;Descent&lt;/h2&gt;<br/>
					Descent Track:&#160;
					<xsl:if test="/character/datablock[@name='Descent']/data[@name='Descent Track']/text() &gt; '2'">
						☒☒☒
					</xsl:if>
					<xsl:if test="/character/datablock[@name='Descent']/data[@name='Descent Track']/text() = '2'">
						☒☒❒
					</xsl:if>
					<xsl:if test="/character/datablock[@name='Descent']/data[@name='Descent Track']/text() = '1'">
						☒❒❒
					</xsl:if>
					<xsl:if test="/character/datablock[@name='Descent']/data[@name='Descent Track']/text() &lt; '1'">
						❒❒❒
					</xsl:if>
					<br/>
					Monstrous Compulsion: <xsl:value-of select="/character/datablock[@name='Descent']/data[@name='Monstrous Compulsion']/text()"/><br/>
				</xsl:if>
				
				<!-- Stunts -->
				<xsl:for-each select="/character/datablock[@name='Stunts']/data">
					<!-- Stunts can be renamed by the user. -->
					<xsl:choose>
						<xsl:when test="@renamed != ''">
							<xsl:choose>
								<xsl:when test="text() != ''">
									<!-- Output a title row on the first time through, only. -->
									<xsl:if test="position() = '1'">
										&lt;h2&gt;Stunts&lt;/h2&gt;<br/>
									</xsl:if>
									&lt;strong&gt;<xsl:value-of select="@renamed"/>. &lt;/strong&gt;
									<xsl:value-of select="text()"/><br/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="@renamed != 'Stunt'">
										<!-- Output a title row on the first time through, only. -->
										<xsl:if test="position() = '1'">
											&lt;h2&gt;Stunts&lt;/h2&gt;<br/>
										</xsl:if>
										&lt;strong&gt;<xsl:value-of select="@renamed"/>. &lt;/strong&gt;
										<xsl:value-of select="text()"/><br/>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="text() != ''">
								<!-- Output a title row on the first time through, only. -->
								<xsl:if test="position() = '1'">
										&lt;h2&gt;Stunts&lt;/h2&gt;<br/>
								</xsl:if>
								<xsl:value-of select="text()"/><br/>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
							
				<!-- Extras -->
				<xsl:for-each select="/character/datablock[@name='Extras']/data">
					<!-- Extras can be renamed by the user. -->
					<xsl:choose>
						<xsl:when test="@renamed != ''">
							<xsl:choose>
								<xsl:when test="text() != ''">
									<!-- Output a title row on the first time through, only. -->
									<xsl:if test="position() = '1'">
										&lt;h2&gt;Extras&lt;/h2&gt;<br/>
									</xsl:if>
									&lt;strong&gt;<xsl:value-of select="@renamed"/>. &lt;/strong&gt;
									<xsl:value-of select="text()"/><br/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="@renamed !='Extra'">
										<!-- Output a title row on the first time through, only. -->
										<xsl:if test="position() = '1'">
											&lt;h2&gt;Extras&lt;/h2&gt;<br/>
										</xsl:if>
										&lt;strong&gt;<xsl:value-of select="@renamed"/>. &lt;/strong&gt;
										<xsl:value-of select="text()"/><br/>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="text() !=''">
								<!-- Output a title row on the first time through, only. -->
								<xsl:if test="position() = '1'">
									&lt;h2&gt;Extras&lt;/h2&gt;<br/>
								</xsl:if>
									&lt;strong&gt;<xsl:value-of select="@renamed"/>. &lt;/strong&gt;
									<xsl:value-of select="text()"/><br/>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				
				<!-- Include Journals, if available. -->
				<p/>
				<xsl:for-each select="//article">
					<p>
						<article>
							<xsl:attribute name="title">
								<xsl:value-of select="@title"/>
							</xsl:attribute>
							&lt;h2&gt;<xsl:value-of select="@title"/>&lt;/h2&gt;<br/>
							<xsl:for-each select="span">
								<span>
									<xsl:attribute name="style">
										<xsl:value-of select="@style"/>
									</xsl:attribute>
									<xsl:value-of select="text()"/>
									<xsl:if test="br">
										<br/>
									</xsl:if>
								</span>
							</xsl:for-each>
						</article>
					</p>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
